Subject: Re: bug#55322: 28.1; :base-uri not working for svg images on mac

From: Alan Third <[email-masked]>
Date: Tue, 10 May 2022 19:01:24 +0100

On Tue, May 10, 2022 at 06:17:03PM +0100, Alan Third wrote:
> On Mon, May 09, 2022 at 09:43:45PM -0400, Howard Melman wrote:
> > 
> > > On May 9, 2022, at 5:42 PM, Alan Third <[email-masked]> wrote:
> > > 
> > > Try messing with the base-uri, perhaps try setting it to the
> > > directory, or to foo.svg or something.
> > 
> > I had tried using a directory as :base-uri but that didn't help.
> 
> Hmm, I tried looking at the librsvg source to see if I could work out
> whether there's anything funny going on, but it's in rust and I don't
> understand it, so that didn't help at all. I'm pretty much stumped. If
> I get a chance I'll see if I can dig the Mac out and see if I can
> reproduce it.

I actually just did this while waiting for my dinner, and it works
fine here using an image I had lying around. I'm trying to upgrade my
librsvg to the latest version in case mine is too old, but it's taking
forever.

Can you please ensure that the image being referenced in the SVG is
actually there and that Emacs is able to open it directly?
-- 
Alan Third